org.apache.lucene.index

## Interface TermFreqVector

- All Known Subinterfaces:
    TermPositionVector
  All Known Implementing Classes:
    QueryTermVector

      public interface TermFreqVector

  Provides access to stored term vector of a document field. The vector consists of the name of the field, an array of the terms that occur in the field of the `Document` and a parallel array of frequencies. Thus, getTermFrequencies()[5] corresponds with the frequency of getTerms()[5], assuming there are at least 5 terms in the Document.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getField()` The `Fieldable` name.
    `int[]` | `getTermFrequencies()` Array of term frequencies.
    `java.lang.String[]` | `getTerms()`
    `int[]` | `indexesOf(java.lang.String[] terms, int start, int len)` Just like `indexOf(int)` but searches for a number of terms at the same time.
    `int` | `indexOf(java.lang.String term)` Return an index in the term numbers array returned from `getTerms` at which the term with the specified `term` appears.
    `int` | `size()`

- - ### Method Detail

    - #### getField

          java.lang.String getField()

      The `Fieldable` name.
      Returns:
        The name of the field this vector is associated with.

    - #### size

          int size()

      Returns:
        The number of terms in the term vector.

    - #### getTerms

          java.lang.String[] getTerms()

      Returns:
        An Array of term texts in ascending order.

    - #### getTermFrequencies

          int[] getTermFrequencies()

      Array of term frequencies. Locations of the array correspond one to one to the terms in the array obtained from `getTerms` method. Each location in the array contains the number of times this term occurs in the document or the document field.

    - #### indexOf

          int indexOf(java.lang.String term)

      Return an index in the term numbers array returned from `getTerms` at which the term with the specified `term` appears. If this term does not appear in the array, return -1.

    - #### indexesOf

          int[] indexesOf(java.lang.String[] terms,
                          int start,
                          int len)

      Just like `indexOf(int)` but searches for a number of terms at the same time. Returns an array that has the same size as the number of terms searched for, each slot containing the result of searching for that term number.
      Parameters:
        `terms` - array containing terms to look for
        `start` - index in the array where the list of terms starts
        `len` - the number of terms in the list

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.